<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrrink-to-fit=no">
		<title>Bootstrap Introduction & Simple Styles</title>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>
	<body class="m-2">
		<!-- colored links and texts -->
		<h1>Link Colors</h1>
		<ul class="list-unstyled">
			<li>
				<a href="#" class="text-primary text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-success text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-secondary text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-danger text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-warning text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-dark text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-info text-decoration-none">Link</a>
			</li>
		</ul>
		<p class="text-success text-decoration-none">Lorem ipsum, dolor sit amet, <span class="text-warning text-decoration-none">consectetur adipisicing elit.</span> Vero illo similique, illum adipisci quibusdam quidem, dicta molestiae recusandae aspernatur, architecto in sed at soluta est laboriosam quaerat porro! Veritatis, et?</p>

		<h1>Background Colors:</h1>
		<div class="bg-primary text-white">Primary</div>
		<div class="bg-secondary">Secondary</div>
		<div class="bg-success">Success</div>
		<div class="bg-danger">Danger</div>
		<div class="bg-warning text-danger">Warning</div>
		<div class="bg-info">Info</div>
		<div class="bg-dark text-warning">Info</div>

		<h1>Text Alignment</h1>
		<p class="text-center m-5">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Repellendus voluptas consequatur necessitatibus, ipsa sapiente omnis aliquid expedita labore. Rem ad quasi provident quis nam amet sed tempora voluptas iusto sint!</p>
		<p class="text-justify m-5">Lorem ipsum, dolor, sit amet consectetur adipisicing elit. Magnam, at accusamus error nulla dolorem, incidunt autem dolore aut ducimus laboriosam sit, ullam dignissimos cumque quisquam modi repudiandae facilis corporis sunt!</p>
		<p class="text-left bg-warning">Left Text</p>
		<p class="text-center bg-dark text-white">Right Text</p>
		<p class="text-right bg-secondary">Center Text</p>

		<h1>Text Transorm</h1>
		<p class="text-uppercase">This will be transformed to uppercase</p>
		<p class="text-lowercase">THIS WILL BE TRANSFORMED TO LOWERCASE</p>
		<p class="text-capitalize">this will be capitalized</p>

		<h1>Font weight and Italics</h1>
		<p class="font-weight-bold">Bold Weight</p>
		<p class="font-weight-normal">Normal Weight</p>
		<p class="font-weight-light">Light Weight</p>
		<p class="font-italic">Italic Weight</p>

		<h1>Adding Border</h1>
		<img src="https://via.placeholder.com/75x75" class="border p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-top p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-bottom p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-left p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right p-2 m-2" />

		<h1>Subtract Border</h1>
		<img src="https://via.placeholder.com/75x75" class="border border-top-0 border-left-0 p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-top border-top-0 p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-bottom border-bottom-0 p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-left border-left-0 p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right border-right-0 p-2 m-2" />

		<h1>Border Colors</h1>
		<img src="https://via.placeholder.com/75x75" class="border 	border-primary p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-top border-secondary p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-bottom border-success p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-left border-warning p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right border-danger p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right border-info p-2 m-2" />

		<h1>Border Radius</h1>
		<img src="https://via.placeholder.com/75x75" class="border 	border-primary rounded-circle p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-top border-secondary rounded p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-bottom border-success rounded-top p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-left border-warning p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right border-danger p-2 m-2" />
		<img src="https://via.placeholder.com/75x75" class="border-right border-info rounded-pill p-2 m-2" />

		<h1>Display</h1>
		<div>
			<div class="bg-info d-inline">Inline</div>
			<span class="bg-secondary d-block">Block</span>
			<span class="bg-warning d-inline-block">Inline Block</spanS>
			<div class="bg-light">Inline</div>
		</div>

		<h1>Sizing Width</h1>
		<div>
			<div class="bg-info w-25">25</div>
			<div class="bg-primary w-50">50</div>
			<div class="bg-success w-75">75</div>
			<div class="bg-info w-100">100</div>
			<div class="bg-warning w-auto">auto</div>
		</div>

		<h1>Sizing Height</h1>
		<div class="m-2 p-2 border border-secondary" style="height: 300px;">
			<div class="bg-info p-2 m-2 d-inline-block h-25 w-25 text-center font-weight-bold text-white">25</div>
			<div class="bg-primary p-2 m-2 d-inline-block h-50 w-25 text-center font-weight-bold text-white">50</div>
			<div class="bg-success p-2 m-2 d-inline-block w-25 text-center font-weight-bold text-white">75</div>
			<div class="bg-info p-2 m-2 d-inline-block w-25 text-center font-weight-bold text-white">100</div>
			<div class="bg-warning p-2 m-2 d-inline-block h-auto w-25 text-center font-weight-bold text-white">auto</div>
		</div>

		<h1>Spaicing</h1>
		<p class="border border-secondary mt-4 mb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Vitae, quia, molestias. Rem itaque blanditiis maiores, natus dicta ratione velit minima veritatis cum et id temporibus expedita placeat aperiam corporis, cumque!</p>
		<p class="border border-secondary mx-3 mb-0">Lorem ipsum dolor sit amet consectetur adipisicing, elit. Omnis minima ex, totam nihil aut a, nulla. Consequatur ducimus sunt, obcaecati consequuntur exercitationem corrupti, beatae dolorem voluptatibus possimus! Dolorum perspiciatis, amet.</p>
		<p class="border border-secondary py-4">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Saepe distinctio, et hic amet a ipsam veniam temporibus itaque? Laborum, eveniet culpa harum facilis, quam officiis dolore animi quidem recusandae quia!</p>
		<p class="border border-secondary px-1">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex, odit? Illo voluptatum voluptas architecto assumenda repellat tenetur repellendus saepe autem fugit veritatis! Libero ea ipsam cum assumenda mollitia perspiciatis, repellendus!</p>
		<p class="border border-secondary m-5 p-3">Lorem ipsum dolor sit amet, consectetur adipisicing, elit. Atque soluta eaque porro quasi voluptatem sed totam, debitis vitae magni error molestiae? Nobis sapiente consequatur vel natus recusandae soluta eius, a?</p>

		<div class="d-flex justify-content-center">
			<p>1</p>
			<p>2</p>
			<p>3</p>
		</div>
	</body>

</html>